{"title":"Get generalLedgerEntries (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_generalledgerentries_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_generalledgerentries_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_generalledgerentries_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a general ledger entry object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get generalLedgerEntries (v1.0)","slug":"get-generalledgerentries-v10","at":0,"chars":1522},{"level":2,"title":"HTTP request","slug":"http-request","at":131,"chars":219},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":350,"chars":71},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":421,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":490,"chars":139},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":629,"chars":704},{"level":2,"title":"Related information","slug":"related-information","at":1333,"chars":189}],"text":"# Get generalLedgerEntries (v1.0)\nRetrieve the properties and relationships of a general ledger entry object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/generalLedgerEntries({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a generalLedgerEntries object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://graph.microsoft.com/v1.0businesscentralPrefix/companies({id})/generalLedgerEntries({id})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"id-value\",\n    \"number\": \"10700\",\n    \"postingDate\": \"2017-03-15\",\n    \"documentNumber\": \"108027\",\n    \"documentType\": \"Invoice\",\n    \"accountId\": \"id-value\",\n    \"accountNumber\": \"7210\",\n    \"description\": \"Order 106003\",\n    \"debitAmount\": 6943.8,\n    \"creditAmount\": 0,\n    \"lastModifiedDateTime\": \"2017-03-15T02:20:58.747Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\nGeneral Ledger Entries<../resources/dynamics_generalledgerentries>"}